using Wizard.RoomMatch;

namespace Wizard;

public class RoomBattle2PickFinishTask : RoomBattleFinishTask
{
	public RoomBattle2PickFinishTask(TwoPickFormat deckFormatType, RoomConnectController.BattleRule rule)
		: base(isConvention: false, isGathering: false)
	{
		base.type = RoomTwoPickApiVariation.GetApiType(deckFormatType, rule, RoomTwoPickApiVariation.VariationType.Finish);
	}
}
